
#import "b4i_main.h"


@implementation b4i_main 


+ (instancetype)new {
    static b4i_main* shared = nil;
    if (shared == nil) {
        shared = [self alloc];
        shared.bi = [[B4IShellBI alloc] init:shared];
        shared.__c = [B4ICommon new];
    }
    return shared;
}
- (int)debugAppId {
    return 5;
}


- (NSString*)  _application_background{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"application_background"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"application_background" :nil]);
[B4IRDebugUtils shared].currentLine=196608;
 //BA.debugLineNum = 196608;BA.debugLine="Private Sub Application_Background";
[B4IRDebugUtils shared].currentLine=196610;
 //BA.debugLineNum = 196610;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _application_start:(B4INavigationControllerWrapper*) _nav{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"application_start"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"application_start:" :@[_nav]]);
[B4IRDebugUtils shared].currentLine=65536;
 //BA.debugLineNum = 65536;BA.debugLine="Private Sub Application_Start (Nav As NavigationCo";
[B4IRDebugUtils shared].currentLine=65537;
 //BA.debugLineNum = 65537;BA.debugLine="NavControl = Nav";
self._navcontrol = _nav;
[B4IRDebugUtils shared].currentLine=65538;
 //BA.debugLineNum = 65538;BA.debugLine="Page1.Initialize(\"Page1\")";
[self._page1 Initialize:self.bi :@"Page1"];
[B4IRDebugUtils shared].currentLine=65539;
 //BA.debugLineNum = 65539;BA.debugLine="Page1.Title = \"Page 1\"";
[self._page1 setTitle:@"Page 1"];
[B4IRDebugUtils shared].currentLine=65540;
 //BA.debugLineNum = 65540;BA.debugLine="Page1.RootPanel.Color = Colors.White";
[[self._page1 RootPanel] setColor:[[self.__c Colors] White]];
[B4IRDebugUtils shared].currentLine=65541;
 //BA.debugLineNum = 65541;BA.debugLine="NavControl.ShowPage(Page1)";
[self._navcontrol ShowPage:(UIViewController*)((self._page1).object)];
[B4IRDebugUtils shared].currentLine=65544;
 //BA.debugLineNum = 65544;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _avc_complete:(BOOL) _success :(NSString*) _activitytype{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"avc_complete"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"avc_complete::" :@[@(_success),_activitytype]]);
[B4IRDebugUtils shared].currentLine=327680;
 //BA.debugLineNum = 327680;BA.debugLine="Sub avc_Complete (Success As Boolean, ActivityType";
[B4IRDebugUtils shared].currentLine=327681;
 //BA.debugLineNum = 327681;BA.debugLine="Log($\"Success: ${Success}, ActivityType: ${Activi";
[self.__c Log:([@[@"Success: ",[self.__c SmartStringFormatter:@"" :(NSObject*)(@(_success))],@", ActivityType: ",[self.__c SmartStringFormatter:@"" :(NSObject*)(_activitytype)],@""] componentsJoinedByString:@""])];
[B4IRDebugUtils shared].currentLine=327682;
 //BA.debugLineNum = 327682;BA.debugLine="End Sub";
return @"";
}
- (NSObject*)  _createfileurl:(NSString*) _dir :(NSString*) _filename{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"createfileurl"])
	return ((NSObject*) [B4IDebug delegate:self.bi :@"createfileurl::" :@[_dir,_filename]]);
B4INativeObject* _no = nil;
[B4IRDebugUtils shared].currentLine=262144;
 //BA.debugLineNum = 262144;BA.debugLine="Sub CreateFileUrl (Dir As String, FileName As Stri";
[B4IRDebugUtils shared].currentLine=262145;
 //BA.debugLineNum = 262145;BA.debugLine="Dim no As NativeObject";
_no = [B4INativeObject new];
[B4IRDebugUtils shared].currentLine=262146;
 //BA.debugLineNum = 262146;BA.debugLine="no = no.Initialize(\"NSURL\").RunMethod(\"fileURLW";
_no = [[_no Initialize:@"NSURL"] RunMethod:@"fileURLWithPath:" :[[B4IArray alloc]initObjectsWithData:@[[B4I nilToNSNull:(NSObject*)([[self.__c File] Combine:_dir :_filename])]]]];
[B4IRDebugUtils shared].currentLine=262147;
 //BA.debugLineNum = 262147;BA.debugLine="Return no";
if (true) return (NSObject*)((_no).object);
[B4IRDebugUtils shared].currentLine=262148;
 //BA.debugLineNum = 262148;BA.debugLine="End Sub";
return nil;
}
- (NSString*)  _page1_click{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"page1_click"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"page1_click" :nil]);
B4IActivityViewController* _avc = nil;
[B4IRDebugUtils shared].currentLine=393216;
 //BA.debugLineNum = 393216;BA.debugLine="Sub Page1_Click";
[B4IRDebugUtils shared].currentLine=393218;
 //BA.debugLineNum = 393218;BA.debugLine="File.Copy(File.DirAssets, FileN, File.DirDocument";
[[self.__c File] Copy:[[self.__c File] DirAssets] :self._filen :[[self.__c File] DirDocuments] :self._filen];
[B4IRDebugUtils shared].currentLine=393221;
 //BA.debugLineNum = 393221;BA.debugLine="If File.Exists(File.DirDocuments, FileN) = True T";
if ([[self.__c File] Exists:[[self.__c File] DirDocuments] :self._filen]==[self.__c True]) { 
[B4IRDebugUtils shared].currentLine=393223;
 //BA.debugLineNum = 393223;BA.debugLine="Dim avc As ActivityViewController";
_avc = [B4IActivityViewController new];
[B4IRDebugUtils shared].currentLine=393224;
 //BA.debugLineNum = 393224;BA.debugLine="avc.Initialize(\"avc\", Array(CreateFileUrl(File.D";
[_avc Initialize:self.bi :@"avc" :[self.bi ArrayToList:[[B4IArray alloc]initObjectsWithData:@[[B4I nilToNSNull:[self _createfileurl:[[self.__c File] DirDocuments] :self._filen]]]]]];
[B4IRDebugUtils shared].currentLine=393225;
 //BA.debugLineNum = 393225;BA.debugLine="avc.Show(Page1, Page1.RootPanel)";
[_avc Show:self._page1 :(NSObject*)(([self._page1 RootPanel]).object)];
 }else {
[B4IRDebugUtils shared].currentLine=393228;
 //BA.debugLineNum = 393228;BA.debugLine="Msgbox( FileN & \" doesn't exist\", \"\")";
[self.__c Msgbox:[@[self._filen,@" doesn't exist"] componentsJoinedByString:@""] :@""];
 };
[B4IRDebugUtils shared].currentLine=393231;
 //BA.debugLineNum = 393231;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _page1_resize:(int) _width :(int) _height{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"page1_resize"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"page1_resize::" :@[@(_width),@(_height)]]);
[B4IRDebugUtils shared].currentLine=131072;
 //BA.debugLineNum = 131072;BA.debugLine="Private Sub Page1_Resize(Width As Int, Height As I";
[B4IRDebugUtils shared].currentLine=131074;
 //BA.debugLineNum = 131074;BA.debugLine="End Sub";
return @"";
}

- (void)initializeStaticModules {
    [[b4i_main new]initializeModule];

}
- (NSString*)  _process_globals{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"process_globals"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"process_globals" :nil]);
[B4IRDebugUtils shared].currentLine=0;
 //BA.debugLineNum = 0;BA.debugLine="Sub Process_Globals";
[B4IRDebugUtils shared].currentLine=3;
 //BA.debugLineNum = 3;BA.debugLine="Public App As Application";
self._app = [B4IApplicationWrapper new];
[B4IRDebugUtils shared].currentLine=4;
 //BA.debugLineNum = 4;BA.debugLine="Public NavControl As NavigationController";
self._navcontrol = [B4INavigationControllerWrapper new];
[B4IRDebugUtils shared].currentLine=5;
 //BA.debugLineNum = 5;BA.debugLine="Private Page1 As Page";
self._page1 = [B4IPage new];
[B4IRDebugUtils shared].currentLine=7;
 //BA.debugLineNum = 7;BA.debugLine="Private FileN As String = \"nomap.png\"";
self._filen = @"nomap.png";
[B4IRDebugUtils shared].currentLine=9;
 //BA.debugLineNum = 9;BA.debugLine="End Sub";
return @"";
}
@end